=== content/Makefile ===
PACKAGE = content
PREDICATES =

INTERFACE_FILES =		\
	content.mli		\
	notationUtil.mli	\
	notationEnv.mli	\
	notationPp.mli	\
	$(NULL)
IMPLEMENTATION_FILES =		\
	notationPt.ml	\
	$(INTERFACE_FILES:%.mli=%.ml)

include ../../Makefile.defs
include ../Makefile.common
