=== grafite/Makefile ===
PACKAGE = grafite
PREDICATES =

INTERFACE_FILES =		\
	grafiteAstPp.mli	\
	$(NULL)
IMPLEMENTATION_FILES =		\
	grafiteAst.ml		\
	$(INTERFACE_FILES:%.mli=%.ml)


include ../../Makefile.defs
include ../Makefile.common
