=== grafite_engine/Makefile ===
PACKAGE = grafite_engine
PREDICATES =

INTERFACE_FILES = \
	grafiteTypes.mli \
	nCicCoercDeclaration.mli \
	grafiteEngine.mli \
	$(NULL)
IMPLEMENTATION_FILES = $(INTERFACE_FILES:%.mli=%.ml)

include ../../Makefile.defs
include ../Makefile.common
