=== debian/changelog ===
matita (0.99.1-3) unstable; urgency=medium

  * Fix FTBFS w.r.t. lablgtk2 2.16 by updating findlinb name for gtksourceview
    (Closes: #731702) 
  * New patch to help the type checker in nCicUntrusted.set_kind

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 10 Dec 2013 20:15:50 +0100

matita (0.99.1-2) unstable; urgency=low

  * Fix clean target (Closes: 724163) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 02 Oct 2013 11:16:08 +0200

matita (0.99.1-1) unstable; urgency=low

  * New upstream release
  * Removed package matita-doc (doc is available via F1)
  * Switch to dh
  * Add matita.desktop
  * Remove the following patches (integrated upstream):
    - Fix-FTBFS-with-camlp5-6.05
    - matita.conf.xml.in
    - slist-sep
    - numbers
    - native-compilers
  * New patch 'configure' to avoid useless build-dep on mysql ocaml bindings
  * Cleanup debian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 20:35:57 +0200

matita (0.5.8-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with camlp5 6.05 (Closes: #666594)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Apr 2012 12:15:20 +0200
