=== debian/control ===
Source: matita
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends:
 ocaml (>= 3.10.2),
 ocaml-findlib (>= 1.2.1-2),
 libgdome2-ocaml-dev,
 liblablgtk2-ocaml-dev,
 libocamlnet-ocaml-dev,
 libzip-ocaml-dev,
 libhttp-ocaml-dev,
 ocaml-ulex08 (>= 0.8-4),
 libexpat-ocaml-dev,
 debhelper (>= 8),
 camlp5 (>= 5.04),
 liblablgtksourceview2-ocaml-dev,
 autoconf,
 help2man
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/matita.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/matita.git
Homepage: http://matita.cs.unibo.it

Package: matita
Architecture: any
Depends: ${shlibs:Depends}, ${interpreter:Depends}, ${misc:Depends}
Recommends: graphviz, yelp
Description: interactive theorem prover
 Matita is a graphical interactive theorem prover based on the Calculus of
 (Co)Inductive Constructions.
