=== components/registry/Makefile ===

PACKAGE = registry
INTERFACE_FILES = helm_registry.mli
IMPLEMENTATION_FILES = helm_registry.ml

include ../../Makefile.defs
include ../Makefile.common
