=== components/binaries/matitadep/Makefile ===
EXEC = matitadep
VERSION=0.1.0

REQUIRES =

include ../Makefile.common
