=== components/binaries/probe/Makefile ===
EXEC = probe
VERSION=0.1.0

REQUIRES = helm-ng_library

include ../Makefile.common
