=== debian/changelog ===
matita (0.99.3-1) unstable; urgency=medium

  * New upstream release
  * Remove patch 0001-configure, applied upstream 
  * Remove patch 0002-Help-..., applied upstream 
  * New patch to remove dependency for mysql in configure.ac 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 May 2016 21:57:11 +0200
